#!/bin/bash
echo Preparation to program ZigBee dongle
echo Perform following steps:
echo * Upgrade Raspberry Pi
echo * Try to install wiringpi if not yet installed
echo * Try to install git if not yet installed
echo * Download and install flash tool
echo *******************************
sudo apt update && sudo apt upgrade -y
sudo apt install wiringpi -y
sudo apt install git -y
sudo git clone https://github.com/jmichault/flash_cc2531.git
echo *******************************
echo Preparation done.
echo *******************************
echo Doing some tests:
echo * Check version of wiringpi
echo * Go to flash tool directory
echo * Check if flashing commands available
echo * Read stick ID, should return b524
gpio -v
cd $HOME/flash_cc2531
ls -al
./cc_chipid
